<?php declare(strict_types=1);

namespace Aviat\Kilo\Enum;

use Aviat\Kilo\Traits;

/**
 * ANSI Color escape sequences
 * @enum
 */
enum Color: int {
	use Traits\ConstList;

	// Foreground colors
	case FG_BLACK = 30;
	case FG_RED = 31;
	case FG_GREEN = 32;
	case FG_YELLOW = 33;
	case FG_BLUE = 34;
	case FG_MAGENTA = 35;
	case FG_CYAN = 36;
	case FG_WHITE = 37;
	case FG_BRIGHT_BLACK = 90;
	case FG_BRIGHT_RED = 91;
	case FG_BRIGHT_GREEN = 92;
	case FG_BRIGHT_YELLOW = 93;
	case FG_BRIGHT_BLUE = 94;
	case FG_BRIGHT_MAGENTA = 95;
	case FG_BRIGHT_CYAN = 96;
	case FG_BRIGHT_WHITE = 97;

	// Background colors
	case BG_BLACK = 40;
	case BG_RED = 41;
	case BG_GREEN = 42;
	case BG_YELLOW = 43;
	case BG_BLUE = 44;
	case BG_MAGENTA = 45;
	case BG_CYAN = 46;
	case BG_WHITE = 47;
	case BG_BRIGHT_BLACK = 100;
	case BG_BRIGHT_RED = 101;
	case BG_BRIGHT_GREEN = 102;
	case BG_BRIGHT_YELLOW = 103;
	case BG_BRIGHT_BLUE = 104;
	case BG_BRIGHT_MAGENTA = 105;
	case BG_BRIGHT_CYAN = 106;
	case BG_BRIGHT_WHITE = 107;

	case INVERT = 7;
}