<?php declare(strict_types=1);

namespace Aviat\Kilo\Enum;

use Aviat\Kilo\Traits;
use JsonSerializable;

/**
 * Enum representing various control keys
 */
enum KeyType implements JsonSerializable {
	use Traits\EnumTrait;

	case ArrowDown;
	case ArrowLeft;
	case ArrowRight;
	case ArrowUp;
	case Backspace;
	case Delete;
	case End;
	case Enter;
	case Escape;
	case Home;
	case PageDown;
	case PageUp;
}